> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Git Commits Query

> List the repository's most recent commits, newest first.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/conversations/{runtime_conversation_id}/git/commits
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/conversations/{runtime_conversation_id}/git/commits:
    get:
      tags:
        - Git
      summary: Git Commits Query
      description: List the repository's most recent commits, newest first.
      operationId: >-
        git_commits_query_api_conversations__runtime_conversation_id__git_commits_get
      parameters:
        - in: path
          name: runtime_conversation_id
          required: true
          schema:
            format: uuid
            title: Runtime Conversation Id
            type: string
        - description: The git repository path
          in: query
          name: path
          required: true
          schema:
            description: The git repository path
            title: Path
            type: string
        - description: Maximum commits to return
          in: query
          name: limit
          required: false
          schema:
            default: 50
            description: Maximum commits to return
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitCommitsPage'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    GitCommitsPage:
      properties:
        commits:
          items:
            $ref: '#/components/schemas/GitCommit'
          title: Commits
          type: array
        has_more:
          title: Has More
          type: boolean
      required:
        - commits
        - has_more
      title: GitCommitsPage
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitCommit:
      properties:
        author:
          title: Author
          type: string
        sha:
          title: Sha
          type: string
        short_sha:
          title: Short Sha
          type: string
        subject:
          title: Subject
          type: string
        timestamp:
          title: Timestamp
          type: string
      required:
        - sha
        - short_sha
        - subject
        - author
        - timestamp
      title: GitCommit
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.